<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Add some comments about XML file
-->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg"  xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr_FR" xml:id="optim_obj">
  <info>
    <pubdate>$LastChangedDate: 04-03-2010 $</pubdate>
  </info>
  <refnamediv>
    <refname>optim_obj</refname>
    <refpurpose>optim solver external function that computes the objective for CUTEr. </refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>[f,g,ind] = optim_obj(x,ind)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>x</term>
        <listitem>
          <para>
            A vector, the current value of the unknown
          </para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>ind</term>
        <listitem>
          <para>
	    The <literal>ind</literal> on input <literal>ind</literal>
	    indicates what the function must do, on output
	    <literal>ind</literal> indicates if the expected
	    computation has been performed as expected (see
	    <literal>optim</literal> for details).
	  </para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>f</term>
        <listitem>
          <para>
            A scalar, the current value of the objective function
          </para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>g</term>
        <listitem>
          <para>
            A vector, the current value of the gradient function
          </para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
      This function computes the objective and/or its gradient at the point
      <literal>x</literal> for the current CUTEr problem according to
      the <literal>optim</literal> requirements.
    </para>
    <para>
      It includes a cpu time limitation to cancel the resolution if
      the cpu time exceeds 3600s.
    </para>
  
  </refsection>

  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="sifoptim" >sifoptim</link>
	<link linkend="ufn">ufn</link>
	<link linkend="uofg">uofg</link>
	<link linkend="ugr">ugr</link>
      </member>
      <member>optim</member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Authors</title>
    <simplelist type="vert">
      <member>Serge Steer, INRIA</member>
    </simplelist>
  </refsection>

  <refsection>
     <title>Used Functions</title>
       <para>
	<link linkend="ufn">ufn</link>
	<link linkend="uofg">uofg</link>
	<link linkend="ugr">ugr</link>
       </para>
     </refsection>
</refentry>
